package com.qmth.distributed.print.business.enums;

import com.qmth.teachcloud.common.enums.EnumResult;

import java.util.ArrayList;
import java.util.List;

/**
 * 考试试卷结构同步状态
 */
public enum ExamPaperStructureStatusEnum {

    INIT("未开始"),
    SUBJECTIVE_FINISH("主观题结构同步成功"),
    GROUP_FINISH("分组同步成功"),
    FINISH("绑定评卷员同步成功，结束");

    ExamPaperStructureStatusEnum(String desc) {
        this.desc = desc;
    }

    private String desc;

    public String getDesc() {
        return desc;
    }

    /**
     * @return
     */
    public static List<EnumResult> listTypes() {
        List<EnumResult> list = new ArrayList<EnumResult>();
        for (ExamPaperStructureStatusEnum value : ExamPaperStructureStatusEnum.values()) {
            EnumResult result = new EnumResult();
            result.setName(value.name());
            result.setOrdinal(value.ordinal());
            result.setCode(null);
            result.setDesc(value.getDesc());
            list.add(result);
        }
        return list;
    }

}
